package ru.yandex.wmtools.common.service;

import ru.yandex.common.framework.core.ServRequest;
import ru.yandex.common.framework.core.ServResponse;
import ru.yandex.wmtools.common.error.InternalException;
import ru.yandex.wmtools.common.error.UserException;

/**
 * User: baton
 * Date: May 7, 2007
 * Time: 1:59:48 PM
 */
public interface IViewerUserIdService extends IUserIdService {
    @Override
    public long getAndCheckUserId(final ServRequest req, ServResponse res) throws UserException, InternalException;

    public long checkUserId(final Long userId) throws UserException;

    public void assureUserIsInUsersList(long userId) throws InternalException, UserException;

    public void checkUserIsNotBlockedAndAcceptedLicence(long userId) throws UserException, InternalException;
}
